Telemetry
Telemetry reporting endpoint
Overview
The telemetry endpoint allows the CLI to report anonymous usage events. Telemetry helps improve OpenSkill by understanding which features are used and how the tool is performing.
Telemetry is opt-in and can be disabled with
osk config set telemetry false. No personally identifiable information is collected.Report Events
Send a batch of telemetry events:
POST /api/telemetry
{
"events": [
{
"eventType": "cli_command",
"clientId": "anon_abc123",
"eventTimestamp": "2025-06-01T12:00:00Z",
"skillSlug": "testing-helper",
"cliVersion": "1.2.0",
"platform": "darwin",
"arch": "arm64",
"metadata": {
"command": "install",
"agent": "claude"
}
}
]
}| Parameter | Type | Description |
|---|---|---|
| events* | object[] | Array of telemetry events |
| events[].eventType* | string | Event type identifier |
| events[].clientId* | string | Anonymous client identifier |
| events[].eventTimestamp* | string | ISO 8601 timestamp |
| events[].skillSlug | string | Related skill slug (if applicable) |
| events[].cliVersion | string | CLI version reporting the event |
| events[].platform | string | OS platform (e.g., darwin, linux, win32) |
| events[].arch | string | CPU architecture (e.g., arm64, x64) |
| events[].metadata | object | Additional event-specific key-value data |
Response:
200 OK
{
"success": true,
"received": 1
}Event Types
| Event | Description |
|---|---|
| cli_start | CLI process started |
| cli_command | CLI command was executed |
| cli_error | An error occurred during execution |
| skill_install | Skill was installed |
| skill_uninstall | Skill was removed |
| skill_update | Skill was updated |
Privacy
OpenSkill takes privacy seriously. Telemetry events:
- Do not include personally identifiable information
- Do not include skill content or file paths
- Do not include authentication tokens
- Are only used for aggregate usage statistics
- Can be fully disabled at any time